package com.maintain.business.service;

import com.maintain.business.domain.ErpRepairForm;
import com.maintain.business.domain.vo.ErpRepairFormVo;
import com.maintain.business.domain.bo.ErpRepairFormBo;
import com.maintain.common.core.page.TableDataInfo;
import com.maintain.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 报修单Service接口
 *
 * @author liushuai
 * @date 2025-04-01
 */
public interface IErpRepairFormService {

    /**
     * 查询报修单
     */
    ErpRepairFormVo queryById(Long id);

    /**
     * 查询报修单
     */
    ErpRepairFormVo customQueryById(Long id);

    /**
     * 查询报修单列表
     */
    TableDataInfo<ErpRepairFormVo> queryPageList(ErpRepairFormBo bo, PageQuery pageQuery);

    /**
     * 查询报修单列表(自定义分页查询)
     */
    TableDataInfo<ErpRepairFormVo> customQueryPageList(ErpRepairFormBo bo, PageQuery pageQuery);

    /**
     * 查询报修单列表(自定义查询)
     */
    List<ErpRepairFormVo> customQueryList(ErpRepairFormBo bo);

    /**
     * 查询报修单列表(自定义查询)
     */
    List<ErpRepairFormVo> customQueryList(List<Long> ids);

    /**
     * 查询报修单列表
     */
    List<ErpRepairFormVo> queryList(ErpRepairFormBo bo);
    List<ErpRepairFormVo> queryListByIds(List<Long> ids);

    /**
     * 新增报修单
     */
    Boolean insertByBo(ErpRepairFormBo bo);

    /**
     * 修改报修单
     */
    Boolean updateByBo(ErpRepairFormBo bo);

    /**
     * 作废报修单
     * @param id
     * @return
     */
    Boolean abolishByBo(Long id);

    /**
     * 校验并批量删除报修单信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
